> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trusset.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Hook

> Update an existing hook

Partially updates a hook. Only provided fields are changed.

## Path Parameters

<ParamField path="marketId" type="string" required>Market ID.</ParamField>
<ParamField path="hookId" type="string" required>Hook ID.</ParamField>

## Body Parameters

All fields from [Create Hook](/endpoints/stock-lending/create-hook) are accepted. Only provided fields are updated.

<RequestExample>
  ```bash cURL theme={null}
  curl -X PUT "https://api.trusset.org/lending-stocks/api/hooks/{marketId}/{hookId}" \
    -H "X-API-Key: trusset_your_key_here" \
    -H "Content-Type: application/json" \
    -d '{"checkFrequency": "15m"}'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": true,
    "data": {
      "id": "hook_002",
      "hookType": "monitorRisk",
      "checkFrequency": "15m",
      "active": true
    }
  }
  ```
</ResponseExample>
